/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称:
 * 创建日期:2022/8/22
 */
package org.springblade.modules.business.data.wrapper;


import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.business.data.entity.RtuDataWaterLevelEntity;
import org.springblade.modules.business.data.vo.RtuDataWaterLevelVO;

import java.util.Objects;

/***
 * Date:2022/8/22
 * Title:文件所属模块（必须填写）
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public class RtuDataWaterLevelWrapper extends BaseEntityWrapper<RtuDataWaterLevelEntity, RtuDataWaterLevelVO> {
	public static RtuDataWaterLevelWrapper build() {
		return new RtuDataWaterLevelWrapper();
	}

	@Override
	public RtuDataWaterLevelVO entityVO(RtuDataWaterLevelEntity entity) {
		RtuDataWaterLevelVO vo = Objects.requireNonNull(BeanUtil.copy(entity, RtuDataWaterLevelVO.class));
		return entityVO(vo);
	}

	public RtuDataWaterLevelVO entityVO(RtuDataWaterLevelVO vo) {
		vo.setWl(vo.getWaterLevel());
		vo.setWlTm(vo.getTm());
		return vo;
	}
}
